# ℹ️ About Me


I am a PhD Fellow Researcher at the University of Padua, where I focus on **Eye-Tracking, EEG, Visual Cognition, Visual Perception, and Perception in general**. My current work delves into understanding how we perceive and process visual information, exploring the intricate mechanisms that shape our cognitive and perceptual experiences.  

Before transitioning into this field, I was deeply engaged in cognitive research, investigating the **role of emotions in daily life**. That phase of my work helped me appreciate the complex interplay between cognition and affect, but over time, my curiosity gravitated toward the perceptual and cognitive mechanisms underlying vision.  

What has remained constant throughout my research journey is my **passion for methodology and scientific inquiry**. I have always been drawn to the precision and rigor of well-structured experimental designs, ensuring that research is both methodologically sound and analytically robust. I value accuracy, depth, and the pursuit of knowledge that is **grounded in strong empirical and theoretical foundations**.  

My approach is inherently analytical, and I appreciate discussions that are well-reasoned, rich in detail, and aligned with high scientific standards. When it comes to coding, I prefer **direct and complete solutions**—ones that are efficient, without unnecessary simplifications or excessive abstraction. For me, coding is a tool to extract meaningful insights from data rather than an exercise in complexity for its own sake.  

Above all, I believe that science thrives on precision, critical thinking, and thoughtful discourse. Whether in research, analysis, or discussions, I always strive for clarity, coherence, and intellectual depth.  



# 🌐 Connect with Me  

If you're interested in my research, coding projects, or academic work, feel free to explore the links below:  

🔗 **Website:** [khodami.site](https://khodami.site)  

📚 **Google Scholar:** [Google Scholar Profile](https://scholar.google.com/citations?user=WCqPnS4AAAAJ&hl=en)  

💻 **GitHub:** [GitHub Profile](https://github.com/AhsanKhodami)  
